// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		2943CCCB2690C6A8001BAA09 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2943CCCA2690C6A8001BAA09 /* AppDelegate.swift */; };
		2943CCCD2690C6A8001BAA09 /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2943CCCC2690C6A8001BAA09 /* SceneDelegate.swift */; };
		2943CCD22690C6A8001BAA09 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 2943CCD02690C6A8001BAA09 /* Main.storyboard */; };
		2943CCD42690C6A9001BAA09 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 2943CCD32690C6A9001BAA09 /* Assets.xcassets */; };
		2943CCD72690C6A9001BAA09 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 2943CCD52690C6A9001BAA09 /* LaunchScreen.storyboard */; };
		2943CCE52690C727001BAA09 /* LoginView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2943CCE42690C727001BAA09 /* LoginView.swift */; };
		2943CCE82690C76B001BAA09 /* HomeView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2943CCE72690C76B001BAA09 /* HomeView.swift */; };
		2943CCEB2690C9FC001BAA09 /* AuthViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2943CCEA2690C9FC001BAA09 /* AuthViewModel.swift */; };
		2943CCED2690CA09001BAA09 /* AuthModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2943CCEC2690CA09001BAA09 /* AuthModel.swift */; };
		2943CCEF2690CA5E001BAA09 /* NetworkManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2943CCEE2690CA5E001BAA09 /* NetworkManager.swift */; };
		2943CCF22690CA88001BAA09 /* HttpMethod.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2943CCF12690CA88001BAA09 /* HttpMethod.swift */; };
		2943CCF42690CA95001BAA09 /* HttpCode.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2943CCF32690CA95001BAA09 /* HttpCode.swift */; };
		2943CCF62690CAA5001BAA09 /* Routes.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2943CCF52690CAA5001BAA09 /* Routes.swift */; };
		2943CCFA2690CB2F001BAA09 /* Extension+Helper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2943CCF92690CB2F001BAA09 /* Extension+Helper.swift */; };
		2943CCFC2690CC83001BAA09 /* ErrorModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2943CCFB2690CC83001BAA09 /* ErrorModel.swift */; };
		2943CCFE2690CF84001BAA09 /* Key+Helper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2943CCFD2690CF84001BAA09 /* Key+Helper.swift */; };
		2943CD002690D02E001BAA09 /* Preferences+Helper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2943CCFF2690D02E001BAA09 /* Preferences+Helper.swift */; };
		294F67682690DA4B009F6B11 /* MainView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 294F67672690DA4B009F6B11 /* MainView.swift */; };
		294F676A2690DB98009F6B11 /* Config+Helper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 294F67692690DB98009F6B11 /* Config+Helper.swift */; };
		294F676D2690E0BE009F6B11 /* PosterTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 294F676C2690E0BE009F6B11 /* PosterTableViewCell.swift */; };
		294F676F2690E0DA009F6B11 /* ItemPosterCollectionViewCell .swift in Sources */ = {isa = PBXBuildFile; fileRef = 294F676E2690E0DA009F6B11 /* ItemPosterCollectionViewCell .swift */; };
		294F67732690E1BA009F6B11 /* ItemThumbCollectionViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 294F67722690E1BA009F6B11 /* ItemThumbCollectionViewCell.swift */; };
		294F67752690E1CA009F6B11 /* ThumbTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 294F67742690E1CA009F6B11 /* ThumbTableViewCell.swift */; };
		294F677F2690E85B009F6B11 /* MovieModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 294F677E2690E85B009F6B11 /* MovieModel.swift */; };
		294F67812690EA31009F6B11 /* MovieViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 294F67802690EA31009F6B11 /* MovieViewModel.swift */; };
		294F678326912816009F6B11 /* Image+Helper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 294F678226912816009F6B11 /* Image+Helper.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		2943CCC72690C6A8001BAA09 /* carrusel.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = carrusel.app; sourceTree = BUILT_PRODUCTS_DIR; };
		2943CCCA2690C6A8001BAA09 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		2943CCCC2690C6A8001BAA09 /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		2943CCD12690C6A8001BAA09 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		2943CCD32690C6A9001BAA09 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		2943CCD62690C6A9001BAA09 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		2943CCD82690C6A9001BAA09 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		2943CCE42690C727001BAA09 /* LoginView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoginView.swift; sourceTree = "<group>"; };
		2943CCE72690C76B001BAA09 /* HomeView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeView.swift; sourceTree = "<group>"; };
		2943CCEA2690C9FC001BAA09 /* AuthViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AuthViewModel.swift; sourceTree = "<group>"; };
		2943CCEC2690CA09001BAA09 /* AuthModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AuthModel.swift; sourceTree = "<group>"; };
		2943CCEE2690CA5E001BAA09 /* NetworkManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NetworkManager.swift; sourceTree = "<group>"; };
		2943CCF12690CA88001BAA09 /* HttpMethod.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HttpMethod.swift; sourceTree = "<group>"; };
		2943CCF32690CA95001BAA09 /* HttpCode.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HttpCode.swift; sourceTree = "<group>"; };
		2943CCF52690CAA5001BAA09 /* Routes.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Routes.swift; sourceTree = "<group>"; };
		2943CCF92690CB2F001BAA09 /* Extension+Helper.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Extension+Helper.swift"; sourceTree = "<group>"; };
		2943CCFB2690CC83001BAA09 /* ErrorModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ErrorModel.swift; sourceTree = "<group>"; };
		2943CCFD2690CF84001BAA09 /* Key+Helper.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Key+Helper.swift"; sourceTree = "<group>"; };
		2943CCFF2690D02E001BAA09 /* Preferences+Helper.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Preferences+Helper.swift"; sourceTree = "<group>"; };
		294F67672690DA4B009F6B11 /* MainView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainView.swift; sourceTree = "<group>"; };
		294F67692690DB98009F6B11 /* Config+Helper.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Config+Helper.swift"; sourceTree = "<group>"; };
		294F676C2690E0BE009F6B11 /* PosterTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PosterTableViewCell.swift; sourceTree = "<group>"; };
		294F676E2690E0DA009F6B11 /* ItemPosterCollectionViewCell .swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ItemPosterCollectionViewCell .swift"; sourceTree = "<group>"; };
		294F67722690E1BA009F6B11 /* ItemThumbCollectionViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ItemThumbCollectionViewCell.swift; sourceTree = "<group>"; };
		294F67742690E1CA009F6B11 /* ThumbTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ThumbTableViewCell.swift; sourceTree = "<group>"; };
		294F677E2690E85B009F6B11 /* MovieModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MovieModel.swift; sourceTree = "<group>"; };
		294F67802690EA31009F6B11 /* MovieViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MovieViewModel.swift; sourceTree = "<group>"; };
		294F678226912816009F6B11 /* Image+Helper.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Image+Helper.swift"; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		2943CCC42690C6A8001BAA09 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		2943CCBE2690C6A8001BAA09 = {
			isa = PBXGroup;
			children = (
				2943CCC92690C6A8001BAA09 /* carrusel */,
				2943CCC82690C6A8001BAA09 /* Products */,
			);
			sourceTree = "<group>";
		};
		2943CCC82690C6A8001BAA09 /* Products */ = {
			isa = PBXGroup;
			children = (
				2943CCC72690C6A8001BAA09 /* carrusel.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		2943CCC92690C6A8001BAA09 /* carrusel */ = {
			isa = PBXGroup;
			children = (
				2943CCE22690C6E0001BAA09 /* Network */,
				2943CCE12690C6D0001BAA09 /* Util */,
				2943CCE02690C6CA001BAA09 /* Model */,
				2943CCDF2690C6C2001BAA09 /* ViewModel */,
				2943CCDE2690C6B9001BAA09 /* View */,
				2943CCCA2690C6A8001BAA09 /* AppDelegate.swift */,
				2943CCCC2690C6A8001BAA09 /* SceneDelegate.swift */,
				2943CCD02690C6A8001BAA09 /* Main.storyboard */,
				2943CCD32690C6A9001BAA09 /* Assets.xcassets */,
				2943CCD52690C6A9001BAA09 /* LaunchScreen.storyboard */,
				2943CCD82690C6A9001BAA09 /* Info.plist */,
			);
			path = carrusel;
			sourceTree = "<group>";
		};
		2943CCDE2690C6B9001BAA09 /* View */ = {
			isa = PBXGroup;
			children = (
				294F67662690DA42009F6B11 /* MainView */,
				2943CCE62690C761001BAA09 /* HomeView */,
				2943CCE32690C718001BAA09 /* LoginView */,
			);
			path = View;
			sourceTree = "<group>";
		};
		2943CCDF2690C6C2001BAA09 /* ViewModel */ = {
			isa = PBXGroup;
			children = (
				2943CCEA2690C9FC001BAA09 /* AuthViewModel.swift */,
				294F67802690EA31009F6B11 /* MovieViewModel.swift */,
			);
			path = ViewModel;
			sourceTree = "<group>";
		};
		2943CCE02690C6CA001BAA09 /* Model */ = {
			isa = PBXGroup;
			children = (
				2943CCEC2690CA09001BAA09 /* AuthModel.swift */,
				2943CCFB2690CC83001BAA09 /* ErrorModel.swift */,
				294F677E2690E85B009F6B11 /* MovieModel.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		2943CCE12690C6D0001BAA09 /* Util */ = {
			isa = PBXGroup;
			children = (
				2943CCF82690CAE6001BAA09 /* Helpers */,
				2943CCF72690CAE0001BAA09 /* UI */,
				2943CCF02690CA75001BAA09 /* Http */,
			);
			path = Util;
			sourceTree = "<group>";
		};
		2943CCE22690C6E0001BAA09 /* Network */ = {
			isa = PBXGroup;
			children = (
				2943CCEE2690CA5E001BAA09 /* NetworkManager.swift */,
			);
			path = Network;
			sourceTree = "<group>";
		};
		2943CCE32690C718001BAA09 /* LoginView */ = {
			isa = PBXGroup;
			children = (
				2943CCE42690C727001BAA09 /* LoginView.swift */,
			);
			path = LoginView;
			sourceTree = "<group>";
		};
		2943CCE62690C761001BAA09 /* HomeView */ = {
			isa = PBXGroup;
			children = (
				2943CCE72690C76B001BAA09 /* HomeView.swift */,
			);
			path = HomeView;
			sourceTree = "<group>";
		};
		2943CCF02690CA75001BAA09 /* Http */ = {
			isa = PBXGroup;
			children = (
				2943CCF12690CA88001BAA09 /* HttpMethod.swift */,
				2943CCF32690CA95001BAA09 /* HttpCode.swift */,
				2943CCF52690CAA5001BAA09 /* Routes.swift */,
			);
			path = Http;
			sourceTree = "<group>";
		};
		2943CCF72690CAE0001BAA09 /* UI */ = {
			isa = PBXGroup;
			children = (
				294F67792690E1F5009F6B11 /* Poster */,
				294F67782690E1ED009F6B11 /* Thumb */,
			);
			path = UI;
			sourceTree = "<group>";
		};
		2943CCF82690CAE6001BAA09 /* Helpers */ = {
			isa = PBXGroup;
			children = (
				2943CCF92690CB2F001BAA09 /* Extension+Helper.swift */,
				2943CCFD2690CF84001BAA09 /* Key+Helper.swift */,
				2943CCFF2690D02E001BAA09 /* Preferences+Helper.swift */,
				294F67692690DB98009F6B11 /* Config+Helper.swift */,
				294F678226912816009F6B11 /* Image+Helper.swift */,
			);
			path = Helpers;
			sourceTree = "<group>";
		};
		294F67662690DA42009F6B11 /* MainView */ = {
			isa = PBXGroup;
			children = (
				294F67672690DA4B009F6B11 /* MainView.swift */,
			);
			path = MainView;
			sourceTree = "<group>";
		};
		294F67782690E1ED009F6B11 /* Thumb */ = {
			isa = PBXGroup;
			children = (
				294F67722690E1BA009F6B11 /* ItemThumbCollectionViewCell.swift */,
				294F67742690E1CA009F6B11 /* ThumbTableViewCell.swift */,
			);
			path = Thumb;
			sourceTree = "<group>";
		};
		294F67792690E1F5009F6B11 /* Poster */ = {
			isa = PBXGroup;
			children = (
				294F676C2690E0BE009F6B11 /* PosterTableViewCell.swift */,
				294F676E2690E0DA009F6B11 /* ItemPosterCollectionViewCell .swift */,
			);
			path = Poster;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		2943CCC62690C6A8001BAA09 /* carrusel */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 2943CCDB2690C6A9001BAA09 /* Build configuration list for PBXNativeTarget "carrusel" */;
			buildPhases = (
				2943CCC32690C6A8001BAA09 /* Sources */,
				2943CCC42690C6A8001BAA09 /* Frameworks */,
				2943CCC52690C6A8001BAA09 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = carrusel;
			productName = carrusel;
			productReference = 2943CCC72690C6A8001BAA09 /* carrusel.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		2943CCBF2690C6A8001BAA09 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1250;
				LastUpgradeCheck = 1250;
				TargetAttributes = {
					2943CCC62690C6A8001BAA09 = {
						CreatedOnToolsVersion = 12.5.1;
					};
				};
			};
			buildConfigurationList = 2943CCC22690C6A8001BAA09 /* Build configuration list for PBXProject "carrusel" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 2943CCBE2690C6A8001BAA09;
			productRefGroup = 2943CCC82690C6A8001BAA09 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				2943CCC62690C6A8001BAA09 /* carrusel */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		2943CCC52690C6A8001BAA09 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2943CCD72690C6A9001BAA09 /* LaunchScreen.storyboard in Resources */,
				2943CCD42690C6A9001BAA09 /* Assets.xcassets in Resources */,
				2943CCD22690C6A8001BAA09 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		2943CCC32690C6A8001BAA09 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				294F677F2690E85B009F6B11 /* MovieModel.swift in Sources */,
				2943CCEB2690C9FC001BAA09 /* AuthViewModel.swift in Sources */,
				2943CCCB2690C6A8001BAA09 /* AppDelegate.swift in Sources */,
				294F678326912816009F6B11 /* Image+Helper.swift in Sources */,
				294F67752690E1CA009F6B11 /* ThumbTableViewCell.swift in Sources */,
				2943CCE52690C727001BAA09 /* LoginView.swift in Sources */,
				2943CCEF2690CA5E001BAA09 /* NetworkManager.swift in Sources */,
				2943CCF22690CA88001BAA09 /* HttpMethod.swift in Sources */,
				2943CCF42690CA95001BAA09 /* HttpCode.swift in Sources */,
				2943CD002690D02E001BAA09 /* Preferences+Helper.swift in Sources */,
				2943CCFC2690CC83001BAA09 /* ErrorModel.swift in Sources */,
				294F676D2690E0BE009F6B11 /* PosterTableViewCell.swift in Sources */,
				2943CCFE2690CF84001BAA09 /* Key+Helper.swift in Sources */,
				294F676F2690E0DA009F6B11 /* ItemPosterCollectionViewCell .swift in Sources */,
				294F67732690E1BA009F6B11 /* ItemThumbCollectionViewCell.swift in Sources */,
				2943CCE82690C76B001BAA09 /* HomeView.swift in Sources */,
				2943CCF62690CAA5001BAA09 /* Routes.swift in Sources */,
				2943CCCD2690C6A8001BAA09 /* SceneDelegate.swift in Sources */,
				2943CCED2690CA09001BAA09 /* AuthModel.swift in Sources */,
				294F67682690DA4B009F6B11 /* MainView.swift in Sources */,
				294F67812690EA31009F6B11 /* MovieViewModel.swift in Sources */,
				2943CCFA2690CB2F001BAA09 /* Extension+Helper.swift in Sources */,
				294F676A2690DB98009F6B11 /* Config+Helper.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		2943CCD02690C6A8001BAA09 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				2943CCD12690C6A8001BAA09 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		2943CCD52690C6A9001BAA09 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				2943CCD62690C6A9001BAA09 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		2943CCD92690C6A9001BAA09 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.5;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		2943CCDA2690C6A9001BAA09 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.5;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		2943CCDC2690C6A9001BAA09 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = F4LTESUMQF;
				INFOPLIST_FILE = carrusel/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.danore.carrusel;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		2943CCDD2690C6A9001BAA09 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = F4LTESUMQF;
				INFOPLIST_FILE = carrusel/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.danore.carrusel;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		2943CCC22690C6A8001BAA09 /* Build configuration list for PBXProject "carrusel" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				2943CCD92690C6A9001BAA09 /* Debug */,
				2943CCDA2690C6A9001BAA09 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		2943CCDB2690C6A9001BAA09 /* Build configuration list for PBXNativeTarget "carrusel" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				2943CCDC2690C6A9001BAA09 /* Debug */,
				2943CCDD2690C6A9001BAA09 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 2943CCBF2690C6A8001BAA09 /* Project object */;
}
